
    * {
        margin: 0;
        padding: 0;
    }

    body {
        height: 100%;
        background-color: #2b3024;
        overflow: hidden;
    }

    .row {
        width: 100%;
        display: table;
    }
    .row > .column {
        height: 100%;
        display: table-cell;
        background-color: #242723;
    }

    .top.row {
        height: calc(200vh / 3);
    }
    .bottom.row {
        height: calc(100vh / 3);
        border-top: 2px solid #2b3024;
    }

    .top.column {
    }
    #ace {
        width: calc(100vw - 2 * 100vh / 3 * 1.778);
        min-width: 336px;
        height: inherit;
        position: absolute;
        top: 0;

        border-bottom: 1px solid #1b1f14;
    }
    #player {
        width: calc(200vh / 3 * 1.77777);
        max-width: calc(100vw - (3 * 100px + 36px));

        background-color: black;
        background-image: url(https://luckeyproductions.nl/images/urhohindi.svg);
        background-size: 60vmin;
        background-position: center;
        background-repeat: no-repeat;
    }

    .column > .row {
        height: 100%;
    }

    #preview {
        width: calc(100vh / 3);
        background-image: url(/images/tank.png);
        background-size: 23vh;
        background-position: center;
        background-repeat: no-repeat;      
    }

    #console {}

    .column:not(:last-child) {
        border-right: 2px solid #1b1f14;
    }
    .column:not(:first-child) {
        border-left: 1px solid #313629;
    }

    @media (min-aspect-ratio: 4 / 3) {
        .bottom.row > .column:first-child {
            width: calc(100vw - 2 * 100vh / 3 * 1.77777);
            min-width: calc(335px);
        }
        .bottom.row > .column:last-child {
            width: calc(2 * 100vh / 3 * 1.77777 - (100vh / 3) - 3px);
            max-width: calc(100vw - 335px - 100vh / 3);
        }
    }
    @media (max-aspect-ratio: 4 / 3) {
        .bottom.column {
            width: 50%;
        }
        #preview {
            display: none;
        }
        #browser, #hideAce {
            animation: none !important;
        }
    }
